%% ===========================================================================
% Copyright (C):                                        
%       1998-2000 by Telia Research AB, Lulea, Sweden;                
%                                                         All rights reserved.
% Description   : Startup of FSAN duplex simulations
%
% File          : startup.m
% Project       : FSAN duplex model
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: startup.m,v 1.1 2000/03/30 13:02:35 tono Exp $
%% ===========================================================================

%% ===========================================================================
% Change History
%      1998-12-22 (ToNo) Created
%      2000-03-30 (ToNo) Added path handling
%% ===========================================================================

%% ===========================================================================
% Test if we have problem reading numbers in international OS versions
if 3 == 3.14,
    error(['Matlab thinks 3 is equal to 3.14, ' ...
            'please use an US (or posix C) version of the system. ' ...
            'Or add LC_NUMERIC=us into $MATLAB/bin/.matlab5rc.sh' ]);
end

%% ===========================================================================
% Set up xDSL simulator paths
cwd=pwd;
relative='/../../';
path(path,[cwd relative 'xdslcomm']);
path(path,[cwd relative 'xdsldefs']);

%% ===========================================================================
% Run the main program
MixedServices;
