%% ===========================================================================
% Copyright (C):
%       1999 by Telia Research AB, Lulea, Sweden;
%       2000 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% File          : startup.m
% Project       : xDSL simulation tool
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: startup.m,v 1.8 2000/04/18 10:38:54 tono Exp $
%% ===========================================================================

%% ===========================================================================
% Change History
%      1998-12-22 (ToNo) Created
%      2000-03-30 (ToNo) Added path handling
%      2000-04-18 (ToNo) Start the graphical example by default
%% ===========================================================================

%% ===========================================================================
% Test if we have problem reading numbers in international OS versions
if 3 == 3.14,
    error(['Matlab thinks 3 is equal to 3.14, ' ...
            'please use an US (or posix C) version of the system. ' ...
            'Or add LC_NUMERIC=us into $MATLAB/bin/.matlab5rc.sh' ]);
end

%% ===========================================================================
% Set up xDSL simulator paths
cwd=pwd;
relative='/';
path(path,[cwd relative 'xdslcomm']);
path(path,[cwd relative 'xdsldefs']);

%% ===========================================================================
% Run one of the examples
cd examples
cd GUI_VDSL
uiMain;
