function list = insertList(list,object);
%insertList - inserts an object into a list of objects
%
% Parameter:    list	        The list to be modified
% Parameter:    object		The object to be inserted
% Returns:      list		The modified list
%
% Example(s):
%   thelist=insertList(thelist,temp_object); 
%
%% ===========================================================================

%% ===========================================================================
% Copyright (C) 1999 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% Project       : FSAN simulator
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: insertList.m,v 1.5 2000/03/10 13:45:59 tono Exp $
%% ===========================================================================
% Change History
%      1999-02-25 (ToNo) Created
%% ===========================================================================

len = length(list);
if len==0,
    list=object;
else
    list(len+1)=object;
end;



